Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# heaps_slot Struct Reference

## Data Fields
void * | membase
RVALUE * | slot
size_t | limit
int | finalize_flag

## Detailed Description

Definition at line 279 of file gc.c.

## Field Documentation

int heaps_slot::finalize_flag

Definition at line 283 of file gc.c.

Referenced by gc_sweep().

size_t heaps_slot::limit

Definition at line 282 of file gc.c.

Referenced by finalize_list(), free_unused_heaps(), gc_sweep(), and is_pointer_to_heap().

void* heaps_slot::membase

Definition at line 280 of file gc.c.

Referenced by assign_heap_slot(), and free_unused_heaps().

RVALUE* heaps_slot::slot

Definition at line 281 of file gc.c.

Referenced by finalize_list(), and is_pointer_to_heap().

The documentation for this struct was generated from the following file:

- gc.c